summaryrefslogtreecommitdiff
path: root/tests/install/trap
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/trap')
-rwxr-xr-xtests/install/trap4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/install/trap b/tests/install/trap
index 3ebaafff3..aaf0a3346 100755
--- a/tests/install/trap
+++ b/tests/install/trap
@@ -43,10 +43,10 @@ fail=0
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=`"$pwd"/../../src/kill -l CHLD 2>/dev/null` && trap '' $sig
+ sig=`"$pwd/../../src/kill" -l CHLD 2>/dev/null` && trap '' $sig
# Before 2004-04-21, install would infloop, in the `while (wait...' loop:
- exec ginstall -s "$pwd"/../../src/ginstall$EXEEXT .
+ exec ginstall -s "$pwd/../../src/ginstall$EXEEXT" .
)
(exit $fail); exit $fail